Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HiveDataContext.designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HiveDataContext.designer.cs	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HiveDataContext.designer.cs	(revision 6717)
@@ -1137,5 +1137,5 @@
 		private System.Nullable<System.DateTime> _Login;
 		
-		private global::HeuristicLab.Services.Hive.Common.DataTransfer.SlaveState _Status;
+		private global::HeuristicLab.Services.Hive.DataAccess.SlaveState _Status;
 		
 		private System.Nullable<int> _NumberOfCores;
@@ -1147,5 +1147,5 @@
 		private bool _IsAllowedToCalculate;
 		
-		private global::HeuristicLab.Services.Hive.Common.DataTransfer.CpuArchitecture _CpuArchitecture;
+		private global::HeuristicLab.Services.Hive.DataAccess.CpuArchitecture _CpuArchitecture;
 		
 		private string _OperatingSystem;
@@ -1165,5 +1165,5 @@
     partial void OnLoginChanging(System.Nullable<System.DateTime> value);
     partial void OnLoginChanged();
-    partial void OnSlaveStateChanging(global::HeuristicLab.Services.Hive.Common.DataTransfer.SlaveState value);
+    partial void OnSlaveStateChanging(global::HeuristicLab.Services.Hive.DataAccess.SlaveState value);
     partial void OnSlaveStateChanged();
     partial void OnCoresChanging(System.Nullable<int> value);
@@ -1175,5 +1175,5 @@
     partial void OnIsAllowedToCalculateChanging(bool value);
     partial void OnIsAllowedToCalculateChanged();
-    partial void OnCpuArchitectureChanging(global::HeuristicLab.Services.Hive.Common.DataTransfer.CpuArchitecture value);
+    partial void OnCpuArchitectureChanging(global::HeuristicLab.Services.Hive.DataAccess.CpuArchitecture value);
     partial void OnCpuArchitectureChanged();
     partial void OnOperatingSystemChanging(string value);
@@ -1251,5 +1251,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Status", DbType="VarChar(15)", CanBeNull=true)]
-		public global::HeuristicLab.Services.Hive.Common.DataTransfer.SlaveState SlaveState
+		public global::HeuristicLab.Services.Hive.DataAccess.SlaveState SlaveState
 		{
 			get
@@ -1351,5 +1351,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CpuArchitecture", DbType="VarChar(3)", CanBeNull=false)]
-		public global::HeuristicLab.Services.Hive.Common.DataTransfer.CpuArchitecture CpuArchitecture
+		public global::HeuristicLab.Services.Hive.DataAccess.CpuArchitecture CpuArchitecture
 		{
 			get
@@ -1454,5 +1454,5 @@
 		private System.Guid _JobId;
 		
-		private global::HeuristicLab.Services.Hive.Common.DataTransfer.JobState _State;
+		private global::HeuristicLab.Services.Hive.DataAccess.JobState _State;
 		
 		private double _ExecutionTime;
@@ -1472,5 +1472,5 @@
 		private bool _FinishWhenChildJobsFinished;
 		
-		private global::HeuristicLab.Services.Hive.Common.DataTransfer.Command? _Command;
+		private global::HeuristicLab.Services.Hive.DataAccess.Command? _Command;
 		
 		private System.Guid _HiveExperimentId;
@@ -1498,5 +1498,5 @@
     partial void OnJobIdChanging(System.Guid value);
     partial void OnJobIdChanged();
-    partial void OnStateChanging(global::HeuristicLab.Services.Hive.Common.DataTransfer.JobState value);
+    partial void OnStateChanging(global::HeuristicLab.Services.Hive.DataAccess.JobState value);
     partial void OnStateChanged();
     partial void OnExecutionTimeMsChanging(double value);
@@ -1516,5 +1516,5 @@
     partial void OnFinishWhenChildJobsFinishedChanging(bool value);
     partial void OnFinishWhenChildJobsFinishedChanged();
-    partial void OnCommandChanging(global::HeuristicLab.Services.Hive.Common.DataTransfer.Command? value);
+    partial void OnCommandChanging(global::HeuristicLab.Services.Hive.DataAccess.Command? value);
     partial void OnCommandChanged();
     partial void OnHiveExperimentIdChanging(System.Guid value);
@@ -1557,5 +1557,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="JobState", Storage="_State", DbType="VarChar(30)", CanBeNull=false)]
-		public global::HeuristicLab.Services.Hive.Common.DataTransfer.JobState State
+		public global::HeuristicLab.Services.Hive.DataAccess.JobState State
 		{
 			get
@@ -1741,5 +1741,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Command", DbType="VarChar(30)", CanBeNull=true)]
-		public global::HeuristicLab.Services.Hive.Common.DataTransfer.Command? Command
+		public global::HeuristicLab.Services.Hive.DataAccess.Command? Command
 		{
 			get
@@ -2889,5 +2889,5 @@
 		private System.Guid _StateLogId;
 		
-		private global::HeuristicLab.Services.Hive.Common.DataTransfer.JobState _State;
+		private global::HeuristicLab.Services.Hive.DataAccess.JobState _State;
 		
 		private System.DateTime _DateTime;
@@ -2911,5 +2911,5 @@
     partial void OnStateLogIdChanging(System.Guid value);
     partial void OnStateLogIdChanged();
-    partial void OnStateChanging(global::HeuristicLab.Services.Hive.Common.DataTransfer.JobState value);
+    partial void OnStateChanging(global::HeuristicLab.Services.Hive.DataAccess.JobState value);
     partial void OnStateChanged();
     partial void OnDateTimeChanging(System.DateTime value);
@@ -2953,5 +2953,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_State", DbType="VarChar(30) NOT NULL", CanBeNull=false)]
-		public global::HeuristicLab.Services.Hive.Common.DataTransfer.JobState State
+		public global::HeuristicLab.Services.Hive.DataAccess.JobState State
 		{
 			get
@@ -3181,5 +3181,5 @@
 		private System.Guid _GrantedByUserId;
 		
-		private global::HeuristicLab.Services.Hive.Common.DataTransfer.Permission _Permission;
+		private global::HeuristicLab.Services.Hive.DataAccess.Permission _Permission;
 		
 		private EntityRef<HiveExperiment> _HiveExperiment;
@@ -3195,5 +3195,5 @@
     partial void OnGrantedByUserIdChanging(System.Guid value);
     partial void OnGrantedByUserIdChanged();
-    partial void OnPermissionChanging(global::HeuristicLab.Services.Hive.Common.DataTransfer.Permission value);
+    partial void OnPermissionChanging(global::HeuristicLab.Services.Hive.DataAccess.Permission value);
     partial void OnPermissionChanged();
     #endregion
@@ -3270,5 +3270,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Permission", DbType="VarChar(15) NOT NULL", CanBeNull=false)]
-		public global::HeuristicLab.Services.Hive.Common.DataTransfer.Permission Permission
+		public global::HeuristicLab.Services.Hive.DataAccess.Permission Permission
 		{
 			get
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/ITransactionManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/ITransactionManager.cs	(revision 6717)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/ITransactionManager.cs	(revision 6717)
@@ -0,0 +1,29 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+
+namespace HeuristicLab.Services.Hive.DataAccess {
+  public interface ITransactionManager {
+    void UseTransaction(Action call, bool serializable = false, bool longRunning = false);
+    T UseTransaction<T>(Func<T> call, bool serializable = false, bool longRunning = false);
+  }
+}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Logger.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Logger.cs	(revision 6717)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Logger.cs	(revision 6717)
@@ -0,0 +1,76 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Diagnostics;
+using System.Security;
+using System.Threading;
+
+namespace HeuristicLab.Services.Hive.DataAccess {
+  public class LogFactory {
+    public static ILogger GetLogger(string source) {
+      return new Logger("HL.Hive", source);
+    }
+  }
+
+  public interface ILogger {
+    void Log(string message);
+    void Error(Exception e);
+  }
+
+  internal class Logger : ILogger {
+    private EventLog log;
+
+    /// <summary>
+    /// Creating an EventSource requires certain permissions, which by default a IIS AppPool user does not have.
+    /// In this case just ignore security exceptions.
+    /// In order to make this work, the eventsource needs to be created manually
+    /// </summary>
+    public Logger(string name, string source) {
+      try {
+        if (!EventLog.SourceExists(source)) {
+          EventLog.CreateEventSource(source, name);
+        }
+        log = new EventLog(name);
+        log.Source = source;
+      }
+      catch (SecurityException) { }
+    }
+
+    public void Log(string message) {
+      try {
+        if (log != null) {
+          log.WriteEntry(string.Format("{0} (AppDomain: {1}, Thread: {2})", message, AppDomain.CurrentDomain.Id, Thread.CurrentThread.ManagedThreadId), EventLogEntryType.Information);
+        }
+      }
+      catch (SecurityException) { }
+    }
+
+    public void Error(Exception e) {
+      try {
+        if (log != null) {
+          log.WriteEntry(string.Format("{0} (AppDomain: {1}, Thread: {2})", e.Message, AppDomain.CurrentDomain.Id, Thread.CurrentThread.ManagedThreadId), EventLogEntryType.Error);
+        }
+      }
+      catch (SecurityException) { }
+    }
+  }
+}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.Designer.cs	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.Designer.cs	(revision 6717)
@@ -14,5 +14,5 @@
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
     [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "10.0.0.0")]
-    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+    public sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
         
         private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/TransactionManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/TransactionManager.cs	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/TransactionManager.cs	(revision 6717)
@@ -22,5 +22,5 @@
 using System;
 using System.Transactions;
-using HeuristicLab.Services.Hive.Common;
+using HeuristicLab.Services.Hive.DataAccess;
 
 namespace HeuristicLab.Services.Hive.DataAccess {  
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs	(revision 6717)
@@ -24,9 +24,6 @@
 using System.Linq;
 using System.Threading;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
-using HeuristicLab.Services.Hive.DataAccess;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using DT = HeuristicLab.Services.Hive.Common.DataTransfer;
+using DT = HeuristicLab.Services.Hive.DataTransfer;
 
 namespace HeuristicLab.Services.Hive.Tests {
@@ -39,6 +36,6 @@
     }
 
-    private IHiveService GetLocalService() {
-      return new HiveService();
+    private HeuristicLab.Services.Hive.ServiceContracts.IHiveService GetLocalService() {
+      return new HeuristicLab.Services.Hive.HiveService();
     }
 
@@ -55,7 +52,7 @@
 
       DT.Job job1 = new DT.Job();
-      job1.State = JobState.Offline;
-      job1.StateLog.Add(new DT.StateLog { State = JobState.Offline, DateTime = DateTime.Now });
-      job1.Command = Command.Pause;
+      job1.State = DT.JobState.Offline;
+      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
+      job1.Command = DT.Command.Pause;
       job1.HiveExperimentId = he.Id;
       job1.IsPrivileged = true;
@@ -110,8 +107,8 @@
 
       // test jobstates
-      job1.StateLog.Add(new DT.StateLog { State = JobState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
-      job1.StateLog.Add(new DT.StateLog { State = JobState.Calculating, DateTime = DateTime.Now }); Thread.Sleep(10);
-      job1.StateLog.Add(new DT.StateLog { State = JobState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
-      job1.StateLog.Add(new DT.StateLog { State = JobState.Finished, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Calculating, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Finished, DateTime = DateTime.Now }); Thread.Sleep(10);
       dao.UpdateJob(job1);
 
@@ -226,6 +223,6 @@
 
       DT.Job job = new DT.Job();
-      job.State = JobState.Offline;
-      job.StateLog.Add(new DT.StateLog { State = JobState.Offline, DateTime = DateTime.Now });
+      job.State = DT.JobState.Offline;
+      job.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
       job.HiveExperimentId = he.Id;
       job.Id = dao.AddJob(job);
@@ -235,5 +232,5 @@
       perm.GrantedByUserId = he.OwnerUserId;
       perm.GrantedUserId = Guid.NewGuid();
-      perm.Permission = Permission.Full;
+      perm.Permission = DT.Permission.Full;
       dao.AddHiveExperimentPermission(perm);
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj	(revision 6717)
@@ -114,4 +114,5 @@
     <Reference Include="System.Data.Linq" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.ServiceModel" />
     <Reference Include="System.Transactions" />
@@ -135,8 +136,4 @@
       <Name>HeuristicLab.Hive-3.3</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Services.Hive.Common\3.3\HeuristicLab.Services.Hive.Common-3.3.csproj">
-      <Project>{14424A16-48D4-445E-80BF-DDF617548BBB}</Project>
-      <Name>HeuristicLab.Services.Hive.Common-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Services.Hive.DataAccess\3.3\HeuristicLab.Services.Hive.DataAccess-3.3.csproj">
       <Project>{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}</Project>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockAuthorizationManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockAuthorizationManager.cs	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockAuthorizationManager.cs	(revision 6717)
@@ -28,9 +28,9 @@
     }
 
-    public void AuthorizeForJob(Guid jobId, Common.DataTransfer.Permission requiredPermission) {
+    public void AuthorizeForJob(Guid jobId, DataTransfer.Permission requiredPermission) {
       // ok.
     }
 
-    public void AuthorizeForExperiment(Guid experimentId, Common.DataTransfer.Permission requiredPermission) {
+    public void AuthorizeForExperiment(Guid experimentId, DataTransfer.Permission requiredPermission) {
       // ok.
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6716)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6717)
@@ -23,10 +23,8 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Services.Hive.Common;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
+using HeuristicLab.Clients.Hive;
 using HeuristicLab.Services.Hive.Tests.Mocks;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using DT = HeuristicLab.Services.Hive.Common.DataTransfer;
+using DT = HeuristicLab.Services.Hive.DataTransfer;
 
 namespace HeuristicLab.Services.Hive.Tests {
@@ -42,6 +40,6 @@
     }
 
-    private IHiveService GetLocalService() {
-      return new HiveService();
+    private HeuristicLab.Services.Hive.ServiceContracts.IHiveService GetLocalService() {
+      return new HeuristicLab.Services.Hive.HiveService();
     }
 
@@ -55,6 +53,6 @@
       // create job
       DT.Job job = new DT.Job() { CoresNeeded = 1, MemoryNeeded = 0, Priority = 0 };
-      job.State = JobState.Offline;
-      job.StateLog.Add(new StateLog { State = JobState.Offline, DateTime = DateTime.Now });
+      job.State = DT.JobState.Offline;
+      job.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
 
       DT.JobData jobData = new DT.JobData() {
@@ -80,5 +78,5 @@
       pluginData1.Data = new byte[] { 0, 1, 2, 3, 4, 5 };
 
-      plugin1.Id = service.AddPlugin(plugin1, new List<PluginData> { pluginData1 });
+      plugin1.Id = service.AddPlugin(plugin1, new List<DT.PluginData> { pluginData1 });
       pluginData1.PluginId = plugin1.Id;
 
@@ -87,5 +85,5 @@
 
       // create slave
-      DT.Slave slave = new Slave();
+      DT.Slave slave = new DT.Slave();
       slave.Id = Guid.NewGuid();
       slave.Name = "TestSlave";
@@ -94,5 +92,5 @@
       slave.CpuSpeed = 2800;
       slave.OperatingSystem = "Windows 3.11";
-      slave.CpuArchitecture = CpuArchitecture.x64;
+      slave.CpuArchitecture = DT.CpuArchitecture.x64;
 
       // add slave
@@ -112,5 +110,5 @@
       Assert.AreEqual(job.MemoryNeeded, jobLoaded.MemoryNeeded);
       Assert.AreEqual(job.Priority, jobLoaded.Priority);
-      Assert.AreEqual(JobState.Waiting, jobLoaded.State);
+      Assert.AreEqual(DT.JobState.Waiting, jobLoaded.State);
       Assert.IsTrue(job.PluginsNeededIds.SequenceEqual(jobLoaded.PluginsNeededIds));
       Assert.AreEqual(job.HiveExperimentId, jobLoaded.HiveExperimentId);
@@ -127,5 +125,5 @@
 
       // test assigned ressources
-      var actions = service.Heartbeat(new Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
+      var actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
@@ -136,10 +134,10 @@
 
       // slave is responsible for updating state to 'Calculating'
-      service.UpdateJobState(jobLoaded.Id, JobState.Calculating, slave.Id, null, null);
+      service.UpdateJobState(jobLoaded.Id, DT.JobState.Calculating, slave.Id, null, null);
 
       // send progress
       var progress = new Dictionary<Guid, TimeSpan>();
       progress.Add(job.Id, new TimeSpan(1, 5, 10, 20, 30));
-      actions = service.Heartbeat(new Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 3, FreeMemory = 1024, JobProgress = progress });
+      actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 3, FreeMemory = 1024, JobProgress = progress });
       Assert.AreEqual(0, actions.Count);
 
@@ -155,5 +153,5 @@
 
       // set it to finished
-      service.UpdateJobState(jobLoaded.Id, JobState.Finished, slave.Id, null, null);
+      service.UpdateJobState(jobLoaded.Id, DT.JobState.Finished, slave.Id, null, null);
 
       // test if the job is returned for the resource (it should not be)
@@ -162,8 +160,8 @@
 
       // set job waiting again
-      service.UpdateJobState(job.Id, JobState.Waiting, null, null, string.Empty);
+      service.UpdateJobState(job.Id, DT.JobState.Waiting, null, null, string.Empty);
 
       // get job again
-      actions = service.Heartbeat(new Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
+      actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
@@ -171,9 +169,9 @@
 
       // create downtime which should make slave unavailable for calculation
-      Guid downtimeId = service.AddDowntime(new Downtime { ResourceId = slave.Id, StartDate = DateTime.Now - TimeSpan.FromMinutes(1), EndDate = DateTime.Now + TimeSpan.FromMinutes(1), Recurring = false });
+      Guid downtimeId = service.AddDowntime(new DT.Downtime { ResourceId = slave.Id, StartDate = DateTime.Now - TimeSpan.FromMinutes(1), EndDate = DateTime.Now + TimeSpan.FromMinutes(1), Recurring = false });
 
       progress.Clear();
       progress.Add(job.Id, new TimeSpan(1, 5, 10, 20, 30));
-      actions = service.Heartbeat(new Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
+      actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.PauseAll, actions[0].Message);
@@ -189,5 +187,5 @@
 
       // send another heartbeat with the deleted job; the server should command the abortion of the job
-      actions = service.Heartbeat(new Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 3, FreeMemory = 1024, JobProgress = progress });
+      actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 3, FreeMemory = 1024, JobProgress = progress });
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.AbortJob, actions[0].Message);
@@ -213,6 +211,6 @@
         FinishWhenChildJobsFinished = true
       };
-      parentJob.State = JobState.Offline;
-      parentJob.StateLog.Add(new StateLog { State = JobState.Offline, DateTime = DateTime.Now });
+      parentJob.State = DT.JobState.Offline;
+      parentJob.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
 
       DT.JobData parentJobData = new DT.JobData() { Data = new byte[0] };
@@ -224,11 +222,11 @@
         Priority = 0
       };
-      childJob.State = JobState.Offline;
-      childJob.StateLog.Add(new StateLog { State = JobState.Offline, DateTime = DateTime.Now });
+      childJob.State = DT.JobState.Offline;
+      childJob.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
 
       DT.JobData childJobData = new DT.JobData() { Data = new byte[1000] };
 
       // create slave
-      DT.Slave slave = new Slave();
+      DT.Slave slave = new DT.Slave();
       slave.Id = Guid.NewGuid();
       slave.Name = "TestSlave";
@@ -237,5 +235,5 @@
       slave.CpuSpeed = 2800;
       slave.OperatingSystem = "Windows 3.11";
-      slave.CpuArchitecture = CpuArchitecture.x64;
+      slave.CpuArchitecture = DT.CpuArchitecture.x64;
 
       // add slave
@@ -258,5 +256,5 @@
       Assert.AreEqual(childJob.ParentJobId, childJobLoaded.ParentJobId);
       Assert.AreEqual(childJob.HiveExperimentId, childJobLoaded.HiveExperimentId);
-      Assert.AreEqual(JobState.Waiting, childJobLoaded.State);
+      Assert.AreEqual(DT.JobState.Waiting, childJobLoaded.State);
       Assert.AreEqual(false, childJobLoaded.FinishWhenChildJobsFinished);
       Assert.AreEqual(false, childJobLoaded.IsParentJob);
@@ -270,5 +268,5 @@
 
       // test heartbeat
-      var actions = service.Heartbeat(new Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
+      var actions = service.Heartbeat(new DT.Heartbeat() { SlaveId = slave.Id, AssignJob = true, FreeCores = 4, FreeMemory = 1024, JobProgress = new Dictionary<Guid, TimeSpan>() });
       Assert.AreEqual(1, actions.Count); // only the child job should be assigned
       Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
@@ -282,5 +280,5 @@
 
       // set child job to finished
-      childJobLoaded = service.UpdateJobState(childJobLoaded.Id, JobState.Finished, slave.Id, null, null);
+      childJobLoaded = service.UpdateJobState(childJobLoaded.Id, DT.JobState.Finished, slave.Id, null, null);
 
       // lifecycle - let it process one server-heartbeat; this should set the parent job to finished
@@ -308,10 +306,10 @@
       DT.HiveExperiment e1 = new DT.HiveExperiment() { Name = "TestExperiment", Description = "" };
       e1.Id = service.AddHiveExperiment(e1);
-      
+
       var e1loaded = service.GetHiveExperiment(e1.Id);
       Assert.AreEqual(Permission.Full, e1loaded.Permission);
       var allExp = service.GetHiveExperiments();
       Assert.AreEqual(1, allExp.Count(x => x.Id == e1.Id));
-      
+
       // change to user2
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId2);
@@ -319,5 +317,6 @@
         e1loaded = service.GetHiveExperiment(e1.Id);
         Assert.Fail("Access should not be possible");
-      } catch { /* ok, cool */ }
+      }
+      catch { /* ok, cool */ }
       allExp = service.GetHiveExperiments();
       Assert.AreEqual(0, allExp.Count(x => x.Id == e1.Id));
@@ -325,5 +324,5 @@
       // user2 should not be able to grant permissions
       try {
-        service.GrantPermission(e1.Id, MockUserManager.MockUserId2, Permission.Read);
+        service.GrantPermission(e1.Id, MockUserManager.MockUserId2, DT.Permission.Read);
         Assert.Fail("Should not be possible to grant permission due to missing permission for User2");
       }
@@ -332,5 +331,5 @@
       // switch back to user1 (owner) and grant user2 permissions
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId1);
-      service.GrantPermission(e1.Id, MockUserManager.MockUserId2, Permission.Read);
+      service.GrantPermission(e1.Id, MockUserManager.MockUserId2, DT.Permission.Read);
 
       // back to user2
@@ -343,5 +342,5 @@
       // user2 should still not be able to grant permissions
       try {
-        service.GrantPermission(e1.Id, MockUserManager.MockUserId2, Permission.Read);
+        service.GrantPermission(e1.Id, MockUserManager.MockUserId2, DT.Permission.Read);
         Assert.Fail("Should not be possible to grant permission due to missing permission for User2");
       }
@@ -350,5 +349,5 @@
       // back to user1
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId1);
-      service.GrantPermission(e1.Id, MockUserManager.MockUserId2, Permission.Full);
+      service.GrantPermission(e1.Id, MockUserManager.MockUserId2, DT.Permission.Full);
 
       // back to user2
@@ -358,7 +357,7 @@
       allExp = service.GetHiveExperiments();
       Assert.AreEqual(1, allExp.Count(x => x.Id == e1.Id));
-      
+
       // grant rights to user3, now this should be possible due to full permissions
-      service.GrantPermission(e1.Id, MockUserManager.MockUserId3, Permission.Read);
+      service.GrantPermission(e1.Id, MockUserManager.MockUserId3, DT.Permission.Read);
 
       // back to user1 and revoke rights for user2
